<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.devplatform.equipment.modules.sys.dao.SysFileDatasourceMapper">
	<!-- Result Map -->
	<resultMap id="BaseResultMap" type="com.devplatform.equipment.modules.sys.bean.SysFileDatasource">
	    <result column="id" property="id"/>
	    <result column="username" property="username"/>
	    <result column="password" property="password"/>
	    <result column="ip" property="ip"/>
	    <result column="port" property="port"/>
	    <result column="type" property="type"/>
	    <result column="create_user_id" property="createUserId"/>
	    <result column="create_time" property="createTime"/>
	    <result column="update_user_id" property="updateUserId"/>
	    <result column="update_time" property="updateTime"/>
	    <result column="deleted" property="deleted"/>
	    <result column="sys_sign" property="sysSign"/>
	    <result column="station_id" property="stationId"/>
	    <result column="byx1" property="byx1"/>
	    <result column="byx2" property="byx2"/>
	    <result column="byx3" property="byx3"/>
	</resultMap>

	<!-- sys_file_datasource table all fields -->
	<sql id="Base_Column_List">
		id,username,password,ip,port,type,create_user_id,create_time,update_user_id,update_time,deleted,sys_sign,station_id,byx1,byx2,byx3
	</sql>

	<!-- 公共查询条件 -->
	<sql id="Example_Where_Clause">
		where deleted=0
		<if test="id!=null and id!=''">and id = #{id}</if>
		<if test="username!=null and username!=''">and username = #{username}</if>
		<if test="password!=null and password!=''">and password = #{password}</if>
		<if test="ip!=null and ip!=''">and ip = #{ip}</if>
		<if test="port!=null and port!=''">and port = #{port}</if>
		<if test="type!=null ">and type = #{type}</if>
		<if test="createUserId!=null and createUserId!=''">and create_user_id = #{createUserId}</if>
		<if test="createTime!=null ">and create_time = #{createTime}</if>
		<if test="updateUserId!=null and updateUserId!=''">and update_user_id = #{updateUserId}</if>
		<if test="updateTime!=null ">and update_time = #{updateTime}</if>
		<if test="deleted!=null ">and deleted = #{deleted}</if>
		<if test="sysSign!=null and sysSign!=''">and sys_sign = #{sysSign}</if>
		<if test="stationId!=null and stationId!=''">and station_id = #{stationId}</if>
		<if test="byx1!=null and byx1!=''">and byx1 = #{byx1}</if>
		<if test="byx2!=null and byx2!=''">and byx2 = #{byx2}</if>
		<if test="byx3!=null and byx3!=''">and byx3 = #{byx3}</if>
	</sql>

	<select id="queryList" resultMap="BaseResultMap" parameterType="object">
		select <include refid="Base_Column_List"></include>
		from sys_file_datasource
		<include refid="Example_Where_Clause"></include>
	</select>


</mapper>


